From a465f5a2330bba1094636451ec9eb4b301524863 Mon Sep 17 00:00:00 2001
From: lb584 <lb584@cam.ac.uk>
Date: Thu, 28 Sep 2023 16:42:58 +0100
Subject: [PATCH] catching the exit code from the python and returning it to
 the caller

---
 scripts/run_Processor.sh | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/scripts/run_Processor.sh b/scripts/run_Processor.sh
index e879ed8..00366a5 100755
--- a/scripts/run_Processor.sh
+++ b/scripts/run_Processor.sh
@@ -32,7 +32,9 @@ proc_path="$( dirname "$(readlink -f "$0" )" )"
 
 # run the processor with all arguments
 python ${proc_path}/../coordinator/Processor.py "$@"
+exit_code=$?;
 
 # deactivate conda environment
 source /storage/app/miniconda3/bin/deactivate ${conda_env}
 
+exit $exit_code;
-- 
GitLab